import 'package:flutter/material.dart';
import 'package:font_awesome_flutter/font_awesome_flutter.dart';
import 'package:senior_design_system/senior_design_system.dart';
import '../page_wrapper.dart';
import '../panel.dart';

class ActionButtonExample extends StatefulWidget {
  const ActionButtonExample({Key? key}) : super(key: key);

  @override
  _ActionButtonExampleState createState() => _ActionButtonExampleState();
}

class _ActionButtonExampleState extends State<ActionButtonExample> {
  bool _lockStateOne = false;
  bool _lockStateTwo = false;
  bool _lockStateThree = false;

  @override
  Widget build(BuildContext context) {
    return PageWrapper(
      title: 'Action Button Example',
      content: SingleChildScrollView(
        child: Padding(
          padding: const EdgeInsets.all(32.0),
          child: Column(
            children: [
              Panel(
                title: 'Small',
                content: SeniorActionButton(
                  icon: _lockStateOne
                      ? FontAwesomeIcons.lock
                      : FontAwesomeIcons.lockOpen,
                  size: SeniorActionButtonSize.small,
                  onTap: () {
                    setState(() {
                      _lockStateOne = !_lockStateOne;
                    });
                  },
                ),
              ),
              Panel(
                title: 'Medium',
                content: SeniorActionButton(
                  icon: _lockStateTwo
                      ? FontAwesomeIcons.lock
                      : FontAwesomeIcons.lockOpen,
                  onTap: () {
                    setState(() {
                      _lockStateTwo = !_lockStateTwo;
                    });
                  },
                ),
              ),
              Panel(
                title: 'Press',
                content: SeniorActionButton.press(
                  icon: _lockStateThree
                      ? FontAwesomeIcons.lock
                      : FontAwesomeIcons.lockOpen,
                  onTap: () {
                    setState(() {
                      _lockStateThree = !_lockStateThree;
                    });
                  },
                ),
              ),
            ],
          ),
        ),
      ),
    );
  }
}
