import 'package:flutter/material.dart';
import 'package:senior_design_system/senior_design_system.dart';
import '../page_wrapper.dart';

class ContactBookItemExample extends StatelessWidget {
  const ContactBookItemExample({Key? key}) : super(key: key);

  void showMessage(BuildContext context, String message) {
    ScaffoldMessenger.of(context).showSnackBar(
      SeniorSnackBar.message(
        message: message,
      ),
    );
  }

  @override
  Widget build(BuildContext context) {
    return PageWrapper(
      title: 'Contact Book Item',
      content: ListView(
        children: [
          SeniorContactBookItem (
            items: [
              'Profissional',
              'Operadora: Brasil Telecom',
            ],
            onTap: () => showMessage(
              context,
              'Selecionou o primeiro item',
            ),
          ),
          SeniorContactBookItem (
            title: '+55 47 99999-9999',
            onTap: () => showMessage(
              context,
              'Selecionou o segundo item',
            ),
          ),
          SeniorContactBookItem (
            title: 'amanda.cristina.silva@provedor.com.br',
            items: [
              'Profissional',
            ],
            onTap: () => showMessage(
              context,
              'Selecionou o terceiro item',
            ),
          ),
          SeniorContactBookItem (
            title: '47 99999-9999',
            items: [
              'Ramal: 5265',
              'Operadora: Vivo',
              'Amanda Cristina da Silva',
              'Filho(a)'
            ],
            onTap: () => showMessage(
              context,
              'Selecionou o quarto item',
            ),
          ),
        ],
      ),
    );
  }
}
