import 'package:flutter/material.dart';
import 'package:senior_design_system/senior_design_system.dart';

import '../page_wrapper.dart';

class EvaluationExemple extends StatelessWidget {
  const EvaluationExemple({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return PageWrapper(
      title: 'Evaluation Example',
      content: ListView(
        padding: EdgeInsets.all(16),
        children: [
          Padding(
            padding: const EdgeInsets.all(16.0),
            child: Text("Pills"),
          ),
          Wrap(
            spacing: 16.0,
            children: [
              Column(
                crossAxisAlignment: CrossAxisAlignment.start,
                children: [
                  SeniorEvaluation.pill(
                    label: 'Supera as expectativas',
                    disabled: false,
                    status: StatusPill.exceededExpectations,
                  ),
                  SizedBox(height: 10),
                  SeniorEvaluation.pill(
                    label: 'Atende plenamente',
                    disabled: false,
                    status: StatusPill.fullyAttends,
                  ),
                  SizedBox(height: 10),
                  SeniorEvaluation.pill(
                    label: 'Atende satisfatoriamente',
                    disabled: false,
                    status: StatusPill.serveSatisfactorily,
                  ),
                  SizedBox(height: 10),
                  SeniorEvaluation.pill(
                    label: 'Atende parcialmente',
                    disabled: false,
                    status: StatusPill.partiallyAttends,
                  ),
                  SizedBox(height: 10),
                  SeniorEvaluation.pill(
                    label: 'Não atende',
                    disabled: false,
                    status: StatusPill.doesNotAttend,
                  ),
                ],
              ),
              Column(
                crossAxisAlignment: CrossAxisAlignment.start,
                children: [
                  SeniorEvaluation.pill(
                    label: 'Supera as expectativas',
                    disabled: true,
                    status: StatusPill.exceededExpectations,
                  ),
                  SizedBox(height: 10),
                  SeniorEvaluation.pill(
                    label: 'Atende plenamente',
                    disabled: true,
                    status: StatusPill.fullyAttends,
                  ),
                  SizedBox(height: 10),
                  SeniorEvaluation.pill(
                    label: 'Atende satisfatoriamente',
                    disabled: true,
                    status: StatusPill.serveSatisfactorily,
                  ),
                  SizedBox(height: 10),
                  SeniorEvaluation.pill(
                    label: 'Atende parcialmente',
                    disabled: true,
                    status: StatusPill.partiallyAttends,
                  ),
                  SizedBox(height: 10),
                  SeniorEvaluation.pill(
                    label: 'Não atende',
                    disabled: true,
                    status: StatusPill.doesNotAttend,
                  ),
                ],
              ),
            ],
          ),
          Padding(
            padding: const EdgeInsets.all(16.0),
            child: Text("Chips"),
          ),
          Wrap(
            spacing: 16.0,
            children: [
              ///Enviado
              SeniorEvaluation.chip(
                label: 'Enviado',
                status: StatusChip.sent,
              ),

              ///Atendido
              SeniorEvaluation.chip(
                label: 'Atendido',
                status: StatusChip.answered,
              ),

              ///Aguardando
              SeniorEvaluation.chip(
                label: 'Aguardando',
                status: StatusChip.waiting,
              ),

              SeniorEvaluation.chip(
                label: 'Enviado',
                status: StatusChip.sent,
              ),

              ///Atendido
              SeniorEvaluation.chip(
                label: 'Atendido',
                status: StatusChip.answered,
              ),

              ///Aguardando
              SeniorEvaluation.chip(
                label: 'Aguardando',
                status: StatusChip.waiting,
              ),
            ],
          ),
          Padding(
            padding: const EdgeInsets.all(8.0),
            child: Text("Icon Tags"),
          ),
          Wrap(
            spacing: 16.0,
            children: [
              Column(
                crossAxisAlignment: CrossAxisAlignment.start,
                children: [
                  SeniorEvaluation.iconTag(
                    label: 'Supera as expectativas',
                    disabled: false,
                    status: StatusIconTag.exceededExpectations,
                  ),
                  SizedBox(height: 10),
                  SeniorEvaluation.iconTag(
                    label: 'Atende plenamente',
                    disabled: false,
                    status: StatusIconTag.fullyAttends,
                  ),
                  SizedBox(height: 10),
                  SeniorEvaluation.iconTag(
                    label: 'Atende satisfatoriamente',
                    disabled: false,
                    status: StatusIconTag.serveSatisfactorily,
                  ),
                  SizedBox(height: 10),
                  SeniorEvaluation.iconTag(
                    label: 'Atende parcialmente',
                    disabled: false,
                    status: StatusIconTag.partiallyAttends,
                  ),
                  SizedBox(height: 10),
                  SeniorEvaluation.iconTag(
                    label: 'Não atende',
                    disabled: false,
                    status: StatusIconTag.doesNotAttend,
                  ),
                  SizedBox(height: 10),
                ],
              ),
              Column(
                crossAxisAlignment: CrossAxisAlignment.start,
                children: [
                  SeniorEvaluation.iconTag(
                    label: 'Supera as expectativas',
                    disabled: true,
                    status: StatusIconTag.exceededExpectations,
                  ),
                  SizedBox(height: 10),
                  SeniorEvaluation.iconTag(
                    label: 'Atende plenamente',
                    disabled: true,
                    status: StatusIconTag.fullyAttends,
                  ),
                  SizedBox(height: 10),
                  SeniorEvaluation.iconTag(
                    label: 'Atende satisfatoriamente',
                    disabled: true,
                    status: StatusIconTag.serveSatisfactorily,
                  ),
                  SizedBox(height: 10),
                  SeniorEvaluation.iconTag(
                    label: 'Atende parcialmente',
                    disabled: true,
                    status: StatusIconTag.partiallyAttends,
                  ),
                  SizedBox(height: 10),
                  SeniorEvaluation.iconTag(
                    label: 'Não atende',
                    disabled: true,
                    status: StatusIconTag.doesNotAttend,
                  ),
                  SizedBox(height: 10),
                ],
              ),
            ],
          ),
        ],
      ),
    );
  }
}
