import 'package:flutter/material.dart';
import 'package:font_awesome_flutter/font_awesome_flutter.dart';

import 'package:senior_design_tokens/senior_design_tokens.dart';
import 'package:senior_design_system/senior_design_system.dart';

import '../panel.dart';
import '../page_wrapper.dart';

class TimelineExample extends StatelessWidget {
  const TimelineExample({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return PageWrapper(
      title: 'Timeline',
      content: SingleChildScrollView(
        child: Column(
          children: [
            Panel(
              title: 'Non-minimizable',
              content: Timeline(
                children: [
                  Column(
                    mainAxisAlignment: MainAxisAlignment.center,
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      Text('Status atual'),
                      Text('23/03/2022 - 15h56'),
                    ],
                  ),
                  Column(
                    mainAxisAlignment: MainAxisAlignment.center,
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      Text('Status atual'),
                      Text('23/03/2022 - 15h56'),
                    ],
                  ),
                  Column(
                    mainAxisAlignment: MainAxisAlignment.center,
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      Text('Status atual'),
                      Text('23/03/2022 - 15h56'),
                    ],
                  ),
                  Column(
                    mainAxisAlignment: MainAxisAlignment.center,
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      Text('Status atual'),
                      Text('23/03/2022 - 15h56'),
                    ],
                  ),
                  Column(
                    mainAxisAlignment: MainAxisAlignment.center,
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      Text('Status atual'),
                      Text('23/03/2022 - 15h56'),
                    ],
                  ),
                ],
                indicators: [
                  SeniorTimelineIndicator(
                    color: SeniorColors.secondaryColor700,
                    iconId: FontAwesomeIcons.hourglass,
                    iconColor: SeniorColors.secondaryColor100,
                  ),
                  SeniorTimelineIndicator(
                    color: SeniorColors.manchesterColorGreen600,
                    iconId: FontAwesomeIcons.check,
                    iconColor: SeniorColors.secondaryColor100,
                  ),
                  SeniorTimelineIndicator(
                    color: SeniorColors.manchesterColorYellow,
                    iconId: FontAwesomeIcons.exclamation,
                    iconColor: SeniorColors.neutralColor900,
                  ),
                  SeniorTimelineIndicator(
                    color: SeniorColors.manchesterColorGreen600,
                    textId: '59',
                    iconColor: SeniorColors.secondaryColor100,
                  ),
                  SeniorTimelineIndicator(
                    color: SeniorColors.manchesterColorRed600,
                    iconId: FontAwesomeIcons.xmark,
                    iconColor: SeniorColors.secondaryColor100,
                  ),
                ],
              ),
            ),
            Panel(
              title: 'Minimizable',
              content: Timeline(
                minimizeable: true,
                children: [
                  Column(
                    mainAxisAlignment: MainAxisAlignment.center,
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      Text('Status atual'),
                      Text('23/03/2022 - 15h56'),
                    ],
                  ),
                  Column(
                    mainAxisAlignment: MainAxisAlignment.center,
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      Text('Status atual'),
                      Text('23/03/2022 - 15h56'),
                    ],
                  ),
                  Column(
                    mainAxisAlignment: MainAxisAlignment.center,
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      Text('Status atual'),
                      Text('23/03/2022 - 15h56'),
                    ],
                  ),
                  Column(
                    mainAxisAlignment: MainAxisAlignment.center,
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      Text('Status atual'),
                      Text('23/03/2022 - 15h56'),
                    ],
                  ),
                  Column(
                    mainAxisAlignment: MainAxisAlignment.center,
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      Text('Status atual'),
                      Text('23/03/2022 - 15h56'),
                    ],
                  ),
                ],
                indicators: [
                  SeniorTimelineIndicator(
                    color: SeniorColors.secondaryColor700,
                    iconId: FontAwesomeIcons.hourglass,
                    iconColor: SeniorColors.secondaryColor100,
                  ),
                  SeniorTimelineIndicator(
                    color: SeniorColors.manchesterColorGreen600,
                    iconId: FontAwesomeIcons.check,
                    iconColor: SeniorColors.secondaryColor100,
                  ),
                  SeniorTimelineIndicator(
                    color: SeniorColors.manchesterColorYellow,
                    iconId: FontAwesomeIcons.exclamation,
                    iconColor: SeniorColors.neutralColor900,
                  ),
                  SeniorTimelineIndicator(
                    color: SeniorColors.manchesterColorGreen600,
                    textId: '199',
                    iconColor: SeniorColors.secondaryColor100,
                  ),
                  SeniorTimelineIndicator(
                    color: SeniorColors.manchesterColorRed600,
                    iconId: FontAwesomeIcons.xmark,
                    iconColor: SeniorColors.secondaryColor100,
                  ),
                ],
              ),
            ),
          ],
        ),
      ),
    );
  }
}
