import 'package:flutter/material.dart';

class SeniorBackdropStyle {
  /// Style definitions for the SeniorBackdrop component.
  const SeniorBackdropStyle({
    this.bodyColor,
    this.headerColors,
    this.selectedLabelColor,
    this.tabIndicatorColor,
    this.unselectedLabelColor,
  });

  /// Defines the body color of the backdrop.
  final Color? bodyColor;

  /// Defines the color of the backdrop header. Component top.
  final List<Color>? headerColors;

  /// Defines the color of selected labels.
  final Color? selectedLabelColor;

  /// Defines the indicator color of the selected tab on the backdrop.
  final Color? tabIndicatorColor;

  /// Defines the color of unselected labels.
  final Color? unselectedLabelColor;
}
