import './senior_card_style.dart';

class SeniorCardThemeData {
  /// Theme definitions for the SeniorCard component.
  const SeniorCardThemeData({
    this.borderRadius,
    this.iconSize,
    this.labelSize,
    this.style,
  });

  /// Defines the value of the card's border radius.
  final double? borderRadius;

  /// Defines the size of the card's icon.
  final double? iconSize;

  /// Defines the size of the card's label.
  final double? labelSize;

  /// The component's style definitions.
  /// Allows you to configure:
  /// [SeniorCardStyle.backgroundColor] the background color of the card.
  /// [SeniorCardStyle.iconColor] the color of the card icon.
  final SeniorCardStyle? style;
}
