import 'package:flutter/material.dart';

class SeniorTextFieldStyle {
  /// Style definitions for the SeniorTextField component.
  const SeniorTextFieldStyle({
    this.counterColor,
    this.errorColor,
    this.fillColor,
    this.focusedBorderColor,
    this.focusedLabelColor,
    this.helperColor,
    this.hintColor,
    this.iconColor,
    this.textColor,
    this.unfocusedLabelColor,
    this.unfocusedBorderColor,
  });

  /// Defines the color of the text field's character counter.
  final Color? counterColor;

  /// Defines the error color of the text field.
  final Color? errorColor;

  /// Defines the fill color of the text field.
  final Color? fillColor;

  /// Defines the border color for the text field with focus.
  final Color? focusedBorderColor;

  /// Defines the label color for the text field with focus.
  final Color? focusedLabelColor;

  /// Defines the color of the text field helper.
  final Color? helperColor;

  /// Defines the hint color of the text field.
  final Color? hintColor;

  /// Defines the color of text field icons.
  final Color? iconColor;

  /// Defines the text color of the text field.
  final Color? textColor;

  /// Defines the border color for the unfocused text field.
  final Color? unfocusedBorderColor;

  /// Defines the label color for the unfocused text field.
  final Color? unfocusedLabelColor;
}
