import './senior_text_field.dart';

class SeniorTextFieldThemeData {
  /// Theme definitions for the SeniorTextField component.
  const SeniorTextFieldThemeData({
    this.style,
  });

  /// Component style definitions.
  /// Allows you to configure:
  /// [SeniorTextFieldStyle.counterColor] the color of the text field's character counter.
  /// [SeniorTextFieldStyle.errorColor] the error color of the text field.
  /// [SeniorTextFieldStyle.fillColor] the fill color of the text field.
  /// [SeniorTextFieldStyle.focusedBorderColor] the border color for the text field with focus.
  /// [SeniorTextFieldStyle.focusedLabelColor] the label color for the text field with focus.
  /// [SeniorTextFieldStyle.helperColor] the color of the text field helper.
  /// [SeniorTextFieldStyle.hintColor] the color of the text field's hint.
  /// [SeniorTextFieldStyle.iconColor] the color of the text field icons.
  /// [SeniorTextFieldStyle.textColor] the text color of the text field.
  /// [SeniorTextFieldStyle.unfocusedLabelColor] the border color for the unfocused text field.
  /// [SeniorTextFieldStyle.unfocusedBorderColor] the label color for the unfocused text field.
  final SeniorTextFieldStyle? style;
}
