# SeniorTabBar class

Use SeniorTabBar para adicionar um widget do tipo tab bar com as definições do Senior Design System no seu layout.

## Herança

Object > DiagnosticableTree > Widget > __StatelessWidget__

## Construtores

SeniorTabBar({
    Key? key,
    required List< String > tabs,
    required int initialIndex,
    required Function(int) onTap,
    bool isScrollable = false,
    TabController? controller,
}) ... __const__

## Propriedades

| Property     | Type            | Description                                                                    | Required | Default |
| ------------ | --------------- | ------------------------------------------------------------------------------ | -------- | ------- |
| key          | Key             | Controla como um widget substitui outro widget na árvore.                      | Não      |         |
| tabs         | List< String >  | Lista de abas.                                                                 | Sim      |         |
| initialIndex | int             | Índice inicialmente selecionado.                                               | Sim      |         |
| onTap        | Function(int)   | Função chamada quando uma opção é tocada. Índice da aba tocada como parâmetro. | Sim      |         |
| isScrollable | bool            | Define se será habilitada a opção de rolagem das abas.                         | Não      | false   |
| controller   | TabController   | Controller para seleção e estado de animação deste widget.                     | Não      |         |

## Código

```dart
SeniorTabBar(
    tabs: [ 'Item 1', 'Item 2', 'Item 3', 'Item 4' ],
    initialIndex: 1,
    onTap: (index) => print('Item $index'),
    isScrollable: false,
    controller: _tabController,
),
```