# SeniorTopBarHome class

Widget do tipo top bar com uma imagem como título e que segue as definições do Senior Design System.

## Herança

Object > DiagnosticableTree > Widget > __StatelessWidget__ (implements __PreferredSizeWidget__)

## Construtores

* SeniorTopBarHome({
    Key? key,
    required String titleImagePath,
    SeniorTopBarAction? leading,
    List< SeniorTopBarAction >? actions,
})

## Propriedades

| Property       | Type                       | Description                                               | Required | Default |
| -------------- | -------------------------- | --------------------------------------------------------- | -------- | ------- |
| key            | Key                        | Controla como um widget substitui outro widget na árvore. | Não      |         |
| titleImagePath | String                     | Caminho para uma imagem que será usada como title.        | Sim      |         |
| leading        | SeniorTopBarAction         | Botão de ação disponível à esquerda.                      | Não      |         |
| actions        | List< SeniorTopBarAction > | Botões de ação disponíveis à direita.                     | Não      |         |

## Código

```dart
SeniorTopBarHome(
    titleImagePath: 'assets/logo.png',
    actions: [
        SeniorTopBarAction(
            icon: FontAwesomeIcons.heart,
            onPressed: () {},
        ),
        SeniorTopBarAction(
            icon: FontAwesomeIcons.search,
            onPressed: () {},
        ),
        SeniorTopBarAction(
            icon: FontAwesomeIcons.ellipsisV,
            onPressed: () {},
        ),
    ],
    leading: SeniorTopBarAction(
        icon: FontAwesomeIcons.bars,
        onPressed: () {},
        tooltip: 'Abre o menu',
    ),
)
```